Bug 1024514 - hwcert-backend won't skip debug warning prompt in --mode auto
hwcert-backend won't skip debug warning prompt in --mode auto
Status: CLOSED CURRENTRELEASE
Product: Red Hat Hardware Certification Program
Classification: Red Hat
Component: Test Suite (harness) (Show other bugs)
1.7.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Greg Nichols
Red Hat Kernel QE team
:
Depends On:
Blocks: 1016295
  Show dependency treegraph
 
Reported: 2013-10-29 16:09 EDT by Greg Nichols
Modified: 2016-07-05 13:51 EDT (History)
3 users (show)

See Also:
Fixed In Version: hwcert-client 1.7.0-20131119.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1034496 (view as bug list)
Environment:
Last Closed: 2016-07-05 13:51:44 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
harness.py patch to skip debug warning prompt in when enabling the debug mode (971 bytes, patch)
2013-11-08 02:26 EST, Dong Zhu
no flags Details | Diff
harness.py patch v3 to skip debug warning prompt in when enabling the debug mode (1.05 KB, patch)
2013-11-12 22:36 EST, Dong Zhu
gnichols: review+
Details | Diff

  None (edit)
Description Greg Nichols 2013-10-29 16:09:31 EDT
Description of problem:

When hwcert-backend is run with option --mode auto --debug low, the following results:

Warning: Test runs in debug mode are invalid for certification.
The following tests will be skipped: suspend, info
Do you wish to continue? (y|n) 

hwcert-backend should skip this prompt in --mode auto and run the chosen tests as if "y" was chosen.

Version-Release number of selected component (if applicable):

hwcert-backend 1.7.0
Comment 1 Dong Zhu 2013-11-08 02:26:09 EST
Created attachment 821438 [details]
harness.py patch to skip debug warning prompt in when enabling the debug mode
Comment 4 Dong Zhu 2013-11-12 22:36:20 EST
Created attachment 823243 [details]
harness.py patch v3 to skip debug warning prompt in when enabling the debug mode
Comment 5 Brian Brock 2013-12-02 14:16:10 EST
verified in hwcert-client-1.7.0-20131120.el7.noarch

$ hwcert-backend -m --debug low

...

File: /var/hwcert/results.xml is 14 MB
Warning: Test runs in debug mode are invalid for certification.
The following tests will be skipped: info

...

and there is no prompting

Note You need to log in before you can comment on or make changes to this bug.